Bug 141110 - Modify "No List" icon to show that it applies to more than just bulleted lists
Summary: Modify "No List" icon to show that it applies to more than just bulleted lists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.4.0.2 target:7.5.0
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2021-03-19 13:50 UTC by sdc.blanco
Modified: 2022-07-30 14:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
examples of Outline icon (2.84 KB, image/png)
2021-03-20 23:18 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2021-03-19 13:50:46 UTC
.uno:RemoveBullets has been renamed to "No List" -- but kept its icon, which only shows bullets.

The enhancement request is to modify that icon to better indicates that it applies to all kinds of lists.

The icon for .uno:SetOutline uses:

  1 --
  . --
    -- 

I would suggest the following for "No List", to indicate that the command applies to all kinds of lists. 

  1 --
  . --
  a --

I have no need to defend this particular proposal.  It was meant only to illustrate a possibility.  If there are other ways to signal that the command applies for all kinds of lists, not just bullets, then the intention of the enhancement request is fulfilled.
Comment 1 Rizal Muttaqin 2021-03-20 11:08:13 UTC
(In reply to sdc.blanco from comment #0)

> 
> The icon for .uno:SetOutline uses:
> 
>   1 --
>   . --
>     -- 
> 
Please kindly give more info about what icon theme do you mean?
Comment 2 sdc.blanco 2021-03-20 23:18:14 UTC
Created attachment 170599 [details]
examples of Outline icon

(In reply to Rizal Muttaqin from comment #1)
> Please kindly give more info about what icon theme do you mean?
That was the "default" Colibre (Automatic).  Have attached a screen shot for different themes, including Colibre.
Comment 3 QA Administrators 2021-03-21 04:18:48 UTC Comment hidden (noise)
Comment 4 Dieter 2022-03-04 17:22:07 UTC
Rizal, is answer in comment 2 sufficient?
Comment 5 Commit Notification 2022-07-12 00:59:22 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/c26321a1c5f11c0abac738b180f32b0c009deb9a

Colibre: tdf#141110 Update No List icons

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-07-12 02:28:52 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5a363056963501780451667d7adacf7435c49b08

Sukapura: tdf#141110 Update No List icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-07-12 02:30:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52e2dc619d3d7b8089d9841d38b10f1d8a64f747

Colibre: tdf#141110 Update No List icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-07-12 02:31:09 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/17af853113405799f660a89f25ddd5eaa3341d75

Sukapura: tdf#141110 Update No List icons

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-07-12 02:33:18 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9eda7c8ad22d10f24897fe6e8b764f19e9b1948c

elementary: tdf#141110 Update No List icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-07-12 02:34:27 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/93d64aefdd131f1d0689ed6664b5c90cde85af3d

Sifr: tdf#141110 Update No List icons

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-07-12 02:34:35 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/abf1fc512be49658e83ee5a091ed59ed0be1f238

Sifr: tdf#141110 Update No List icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-07-12 02:36:44 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c00e6648d40b99a6066172ddd3c1de2ace9e849

Breeze: tdf#141110 Update No List icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-07-13 05:42:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/641cefc22bd38c8ebe702ed2caf704711a5ee607

Breeze: tdf#141110 Update No List icons

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.